Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.validators.datatype
Class YearDatatypeValidator

    java.lang.Object
      |
      +--org.apache.xerces.validators.datatype.AbstractDatatypeValidator
            |
            +--org.apache.xerces.validators.datatype.AbstractNumericFacetValidator
                  |
                  +--org.apache.xerces.validators.datatype.DateTimeValidator
                        |
                        +--org.apache.xerces.validators.datatype.YearDatatypeValidator

public class YearDatatypeValidator
extends DateTimeValidator

Validator for datatype (W3C Schema Datatypes)

Version:
  $Id: YearDatatypeValidator.java,v 1.5 2001/06/21 20:56:11 elena Exp $
Author:
  Elena Litani

Fields inherited from class org.apache.xerces.validators.datatype.DateTimeValidator
`CY, D, DAY, EQUAL, fBuffer, fDateValue, fEnd, fEnumSize, fStart, GREATER_THAN, h, hh, LESS_THAN, m, M, message, mm, MONTH, MONTH_SIZE, ms, s, timeZone, TOTAL_SIZE, utc, YEAR`

Fields inherited from class org.apache.xerces.validators.datatype.AbstractNumericFacetValidator
`fEnumeration, fMaxExclusive, fMaxInclusive, fMinExclusive, fMinInclusive, INDETERMINATE`

Fields inherited from class org.apache.xerces.validators.datatype.AbstractDatatypeValidator
`fBaseValidator, fFacetsDefined, fFlags, fLocale, fMessageProvider, fPattern, fRegex`

Constructor Summary
`YearDatatypeValidator()`
`YearDatatypeValidator(DatatypeValidator base, java.util.Hashtable facets, boolean derivedByList)`

Method Summary
`protected java.lang.String` | `dateToString(int[] date)` Converts year object representation to String
`protected int[]` | `parse(java.lang.String str, int[] date)` Parses, validates and computes normalized version of gYear object

Methods inherited from class org.apache.xerces.validators.datatype.DateTimeValidator
`assignAdditionalFacets, checkContent, clone, compare, compareDates, compareOrder, compareValues, findUTCSign, fQuotient, fQuotient, getDate, getMaxExclusive, getMaxInclusive, getMinExclusive, getMinInclusive, getTime, getTimeZone, getYearMonth, indexOf, initializeValues, maxDayInMonthFor, mod, modulo, normalize, parseInt, parseIntYear, parseTimeZone, reportError, resetBuffer, resetDateObj, setEnumeration, setMaxExclusive, setMaxInclusive, setMinExclusive, setMinInclusive, validate, validateDate, validateDateTime`

Methods inherited from class org.apache.xerces.validators.datatype.AbstractNumericFacetValidator
`checkBaseFacetConstraints, checkFacetConstraints, inheritAdditionalFacets`

Methods inherited from class org.apache.xerces.validators.datatype.AbstractDatatypeValidator
`getBaseValidator, getErrorString, getWSFacet, setLocale`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### YearDatatypeValidator

    public YearDatatypeValidator()
                          throws InvalidDatatypeFacetException

### YearDatatypeValidator

    public YearDatatypeValidator(DatatypeValidator base,
                                 java.util.Hashtable facets,
                                 boolean derivedByList)
                          throws InvalidDatatypeFacetException

Method Detail

### parse

    protected int[] parse(java.lang.String str,
                          int[] date)
                   throws SchemaDateTimeException

  Parses, validates and computes normalized version of gYear object
  Overrides:
    parse in class DateTimeValidator
  Parameters:
    `str` - The lexical representation of year object CCYY with possible time zone Z or (-),(+)hh:mm
    `date` - uninitialized date object
  Returns:
    normalized date representation
  Throws:
    java.lang.Exception - Invalid lexical representation

### dateToString

    protected java.lang.String dateToString(int[] date)

  Converts year object representation to String
  Overrides:
    dateToString in class DateTimeValidator
  Parameters:
    `date` - year object
  Returns:
    lexical representation of month: CCYY with optional time zone sign

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.